(function($){
jQuery(document).ready(function(){
		//GNB 드롭다운메뉴
		$('.im_gnb')
		.on('mouseenter focus', '.depth1 > li > a', function(){
			$('.im_gnb .depth2, .im_gnb .depth3').hide(300);
			$(this).siblings('ul').show(300);
		})
		.on('mouseenter focus', '.depth2 > li > a', function(){
			$('.im_gnb .depth3').hide(300);
			$(this).siblings('ul').show(300);
		})
		.mouseleave(function(){
			$('.im_gnb .depth2, .im_gnb .depth3').hide(300);
		});
		
		//모달 로그인 윈도우
		$('a[rel*=leanModal]').leanModal({ top : 200, closeButton: ".modal_close" });
		
		//Scroll to top animation
		$('.im_gototop').click(function(){
			$("html, body").animate({ scrollTop: 0 }, 600);
			return false;
	   });
		
		//관련 사이트
				
		$('.im_familysite').on('click', '.im_open', function (e) {
			e.preventDefault();
			$(this).next().toggle();
		}).on('mouseleave', 'ul', function () {
			$(this).toggle();
		}).on('focusout', function (e) {
			var isThisChild = $.contains($('.family_site_link ul')[0], e.relatedTarget);
			if (!isThisChild) {
			$(this).find('ul').hide();
		}
		});
		
		// Language Select
		$('.im_language > .toggle').click(function(){
			$('.selectLang').toggle();
		});
		
		// slider
		$('.im_slider').glide();
	
 });
 })(jQuery);